GZIPHeader
Date: 2015-09-12

com.jcraft.jzlib

## Class GZIPHeader

- java.lang.Object
- - com.jcraft.jzlib.GZIPHeader

- All Implemented Interfaces:
    java.lang.Cloneable

      public class GZIPHeader
      extends java.lang.Object
      implements java.lang.Cloneable

  See Also:
    "http://www.ietf.org/rfc/rfc1952.txt"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `OS_AMIGA`
    `static byte` | `OS_ATARI`
    `static byte` | `OS_CPM`
    `static byte` | `OS_MACOS`
    `static byte` | `OS_MSDOS`
    `static byte` | `OS_OS2`
    `static byte` | `OS_QDOS`
    `static byte` | `OS_RISCOS`
    `static byte` | `OS_TOPS20`
    `static byte` | `OS_UNIX`
    `static byte` | `OS_UNKNOWN`
    `static byte` | `OS_VMCMS`
    `static byte` | `OS_VMS`
    `static byte` | `OS_WIN32`
    `static byte` | `OS_ZSYSTEM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GZIPHeader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `getComment()`
    `long` | `getCRC()`
    `long` | `getModifiedTime()`
    `java.lang.String` | `getName()`
    `int` | `getOS()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setCRC(long crc)`
    `void` | `setModifiedTime(long mtime)`
    `void` | `setName(java.lang.String name)`
    `void` | `setOS(int os)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OS_MSDOS

          public static final byte OS_MSDOS

      See Also:
        Constant Field Values

    - #### OS_AMIGA

          public static final byte OS_AMIGA

      See Also:
        Constant Field Values

    - #### OS_VMS

          public static final byte OS_VMS

      See Also:
        Constant Field Values

    - #### OS_UNIX

          public static final byte OS_UNIX

      See Also:
        Constant Field Values

    - #### OS_ATARI

          public static final byte OS_ATARI

      See Also:
        Constant Field Values

    - #### OS_OS2

          public static final byte OS_OS2

      See Also:
        Constant Field Values

    - #### OS_MACOS

          public static final byte OS_MACOS

      See Also:
        Constant Field Values

    - #### OS_TOPS20

          public static final byte OS_TOPS20

      See Also:
        Constant Field Values

    - #### OS_WIN32

          public static final byte OS_WIN32

      See Also:
        Constant Field Values

    - #### OS_VMCMS

          public static final byte OS_VMCMS

      See Also:
        Constant Field Values

    - #### OS_ZSYSTEM

          public static final byte OS_ZSYSTEM

      See Also:
        Constant Field Values

    - #### OS_CPM

          public static final byte OS_CPM

      See Also:
        Constant Field Values

    - #### OS_QDOS

          public static final byte OS_QDOS

      See Also:
        Constant Field Values

    - #### OS_RISCOS

          public static final byte OS_RISCOS

      See Also:
        Constant Field Values

    - #### OS_UNKNOWN

          public static final byte OS_UNKNOWN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GZIPHeader

          public GZIPHeader()

  - ### Method Detail

    - #### setModifiedTime

          public void setModifiedTime(long mtime)

    - #### getModifiedTime

          public long getModifiedTime()

    - #### setOS

          public void setOS(int os)

    - #### getOS

          public int getOS()

    - #### setName

          public void setName(java.lang.String name)

    - #### getName

          public java.lang.String getName()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getComment

          public java.lang.String getComment()

    - #### setCRC

          public void setCRC(long crc)

    - #### getCRC

          public long getCRC()

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`